AM263Px MCU+ SDK: STC Functions

| AM263Px MCU+ SDK 26.00.00 |

Functions
STC Functions
APIs for SDL Module » APIs for SDL Self Test Controller (STC) » SDL Self Test Controller(STC)

## Introduction

## Functions
int32_t | SDL_STC_getStatus (SDL_STC_Inst instance)
| This API is used to get status for STC result. More...
int32_t | SDL_STC_selfTest (SDL_STC_Inst instance, SDL_STC_TestType testType, SDL_STC_Config *pConfig)
| This API is used to run the STC module. More...
static int32_t | SDL_STC_configure (SDL_STC_Inst instance, SDL_STC_Config *pConfig, SDL_STC_TestType testType)
| This API is used to configure STC module. More...
static int32_t | SDL_STC_runTest (SDL_STC_Inst instance)
| This API is used to enable the STC module. More...
static void | SDL_STC_delay (int32_t count)
| This API is used to provide delay for processor core. More...
static void | SDL_Delay (void)
| This API is used to execute asm nop operation. More...
void | SDL_STC_dspInit (void)
| This API is used to initialize all the required configuration in RCM & CTRL Module for performing DSP STC. More...
static void | SDL_STC_resetCauseClearR5F0 (void)
| This API is used to clear the reset cause bits for processor core. More...
static void | SDL_STC_resetCauseClearR5F1 (void)

## Function Documentation

## ◆ SDL_STC_getStatus()

int32_t SDL_STC_getStatus | ( | SDL_STC_Inst | instance | ) |

This API is used to get status for STC result.

Parameters

  instance | Holds the instance for STC module.

NOTE: This API informes only first that we should run STC test or not.if it will return that STC has been Done, then programe will be terminated simply from here.

## ◆ SDL_STC_selfTest()

int32_t SDL_STC_selfTest | ( | SDL_STC_Inst | instance,
|  | SDL_STC_TestType | testType,
|  | SDL_STC_Config * | pConfig
| ) |  |

This API is used to run the STC module.

Parameters

  instance | Holds the instance for STC module.
  testType | testType that in wwhich mode test need to be run.
  pConfig | Configuration that need to be run.

NOTE: This API informes only first that we should run STC test or not.if it will return that STC has been Done, then programe will be terminated simply from here. There nothing will be returned as core will be reset after run this API. testType that in wwhich mode test need to be run.

## ◆ SDL_STC_configure()

static int32_t SDL_STC_configure | ( | SDL_STC_Inst | instance,
|  | SDL_STC_Config * | pConfig,
|  | SDL_STC_TestType | testType
| ) |  |
| static

This API is used to configure STC module.

Parameters

  instance | Holds the instance for STC module.
  pConfig | pointer to the STC config structure
  testType | Enum value for specifying testType

NOTE: There are two types of testType

1. SDL_STC_TEST-> FOR THIS TEST STATUS SHOULD BE PASS.
2. SDL_STC_NEG_TEST-> FOR THIS TEST STATUS SHOULD BE FAIL.

## ◆ SDL_STC_runTest()

static int32_t SDL_STC_runTest | ( | SDL_STC_Inst | instance | ) |
| static

This API is used to enable the STC module.

Parameters

  instance | Holds the instance for STC module.

## ◆ SDL_STC_delay()

static void SDL_STC_delay | ( | int32_t | count | ) |
| static

This API is used to provide delay for processor core.

## ◆ SDL_Delay()

static void SDL_Delay | ( | void |  | ) |
| static

This API is used to execute asm nop operation.

## ◆ SDL_STC_dspInit()

void SDL_STC_dspInit | ( | void |  | ) |

This API is used to initialize all the required configuration in RCM & CTRL Module for performing DSP STC.

## ◆ SDL_STC_resetCauseClearR5F0()

static void SDL_STC_resetCauseClearR5F0 | ( | void |  | ) |
| static

This API is used to clear the reset cause bits for processor core.

## ◆ SDL_STC_resetCauseClearR5F1()

static void SDL_STC_resetCauseClearR5F1 | ( | void |  | ) |
| static